Subject: bug#24070: LaTeX mode doesn't load in 11.89.4

From: Mosè Giordano <[email-masked]>
Date: Mon, 25 Jul 2016 22:39:31 +0200

Hi Caleb,

2016-07-25 21:11 GMT+02:00 Caleb Rottman <[email-masked]>:
> Whenever I load a .tex file, LaTeX-mode doesn't load and I get the error:
>
> File mode specification error: (void-function TeX-latex-mode)
>
> This happens when the only line in my .emacs is (load "auctex.el" nil t t)
> I have verified this bug on two separate Linux systems using Emacs 24.4.1.
> I have only had this problem with auctex 11.89.4 (which I installed from
> http://elpa.gnu.org/packages/ using the emacs package manager).
> I have also tested this with manually installed versions of 11.89 and 11.88
> (which i installed from https://ftp.gnu.org/pub/gnu/auctex/) and both of
> these versions work fine.

After you install AUCTeX from ELPA you must *not* add anything to your
init file.  This is explained also in the AUCTeX manual:
https://www.gnu.org/software/auctex/manual/auctex.html#Installation
after the installation you're done.

Please, remove the line "(load "auctex.el" nil t t)" and report back
if this solves your problem.

Bye,
Mosè